Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenNavigatorPath

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenNavigatorPathImpl

    public interface GenNavigatorPath

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Navigator Path'.

The following features are supported:

- `Segments`

See Also:
  `GMFGenPackage.getGenNavigatorPath()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<GenNavigatorPathSegment>` `getSegments()` Returns the value of the 'Segments' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSegments

    org.eclipse.emf.common.util.EList<GenNavigatorPathSegment> getSegments()

  Returns the value of the 'Segments' containment reference list. The list contents are of type `GenNavigatorPathSegment`. It is bidirectional and its opposite is '`Path`'.

  If the meaning of the 'Segments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Segments' containment reference list.
  See Also:
    `GMFGenPackage.getGenNavigatorPath_Segments()`, `GenNavigatorPathSegment.getPath()`
  ** Generated **
  Model:
    opposite="path" containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.